import { IElasticSearchConfig } from './models/dtos/config.dto';
import { IField } from './models/dtos/field.dto';
export declare class ElasticsearchService {
    private options;
    private readonly logger;
    private readonly IElasticSearchConfig;
    private readonly esclient;
    constructor(options: IElasticSearchConfig);
    createIndex(indexName: string, fields: IField[]): Promise<any>;
    bulkInsert(docs: any[], index: string, type: string): Promise<any>;
    searchIndex(q: string, index: string, skip: number, limit: number, queryType: string, fields: string[]): Promise<any>;
    updateIndex(index: string, query: any, updatetedFields: any): Promise<any>;
    removeDocumentFromIndex(indexName: string, query: any): Promise<any>;
    reindex(indexFrom: string, indexDest: string, query: any): Promise<any>;
    generateQuery(q: string, queryType: string, fields: string[]): {
        multi_match: {
            query: string;
            type: string;
            fields: string[];
        };
    } | {
        multi_match?: undefined;
    };
}
